
from django import forms
from .models import Person
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User

class UploadImage(forms.ModelForm):
  class Meta:
    model = Person
    fields = ['image']

 
class SignUpForm(UserCreationForm):
    class Meta:
        model = User
        fields = ('first_name', 'last_name', 'email', 'username', 'password1', 'password2', )

class PersonChangeForm(forms.ModelForm):
  def __init__(self, instance) -> None:
      print(instance)
      super().__init__(instance)
      #self.fields['partner'].queryset = Person.objects.complex_filter()
  class Meta:
    model = Person
    fields = '__all__'